Bug 1756470

Summary: PHP 7.4
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Remi Collet <fedora>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bcotton
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-24 14:59:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Ben Cotton 2019-09-27 17:24:16 UTC
This is a tracking bug for Change: PHP 7.4
For more details, see: https://fedoraproject.org/wiki/Changes/php74

Update the PHP stack in Fedora to latest version 7.4.x

Comment 1 Remi Collet 2019-10-02 07:59:59 UTC
Initial work in private branch:
https://src.fedoraproject.org/rpms/php/c/482954af8310a30b38e513e76148537d0966eb4b?branch=private-php74

Build announced on devel and php-devel (planed for Thursday Oct 3rd)

1st scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=38001825

Comment 2 Remi Collet 2019-10-02 11:49:45 UTC
Successful scratch build
https://koji.fedoraproject.org/koji/taskinfo?taskID=38003042

Comment 3 Remi Collet 2019-10-04 05:34:21 UTC
PHP 7.4.0RC3 is released and build in rawhide

Mass rebuild of all extensions done.

Comment 4 Remi Collet 2019-11-27 09:01:07 UTC
PHP 7.4.0 GA is built in rawhide

Comment 5 Ben Cotton 2019-11-27 14:20:28 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.